
Installer - Bug #8990

foreman_proxy puppet module should be aware of new plugin http/https settings

01/16/2015 04:48 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/140

  

Description

Valid options for enabled are now true/false/http/https.  Foreman proxy module isn't aware of this.

Related issues:

Related to Smart Proxy - Feature #8748: Allow per-plugin enablement of HTTP i... Closed 12/18/2014

Blocks Katello - Feature #8991: Support templates plugin in Capsule Closed 01/16/2015

Associated revisions

Revision 49435dc0 - 01/26/2015 07:46 AM - Stephen Benjamin

fixes #8990 - deprecate port and separate http and https settings

History

#1 - 01/16/2015 04:50 AM - Dominic Cleal

- Related to Feature #8748: Allow per-plugin enablement of HTTP in configuration files added

#2 - 01/16/2015 04:56 AM - Stephen Benjamin

- Blocks Feature #8991: Support templates plugin in Capsule added

#3 - 01/16/2015 08:02 AM - Stephen Benjamin

- Status changed from New to Assigned

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/140 added

- Pull request deleted ()

#4 - 01/16/2015 10:54 AM - Stephen Benjamin

- Related to Tracker #9001: Capsule Isolation Tracker added

#5 - 01/16/2015 10:59 AM - Stephen Benjamin

- Related to deleted (Tracker #9001: Capsule Isolation Tracker)

#6 - 01/27/2015 04:01 AM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|49435dc0d8a63c779f666a193e3205423644ad46.
